diff --git a/bin/varnishd/cache/cache_backend_cfg.c b/bin/varnishd/cache/cache_backend_cfg.c
index 6c7d8e404a..c8fd8985f0 100644
--- a/bin/varnishd/cache/cache_backend_cfg.c
+++ b/bin/varnishd/cache/cache_backend_cfg.c
@@ -153,9 +153,11 @@ VRT_delete_backend(VRT_CTX, struct director **dp)
 	be->admin_health = vbe_ah_deleted;
 	be->health_changed = VTIM_real();
 	be->cooled = VTIM_real() + 60.;
+	Lck_Unlock(&be->mtx);
+	Lck_Lock(&backends_mtx);
 	VTAILQ_REMOVE(&backends, be, list);
 	VTAILQ_INSERT_TAIL(&cool_backends, be, list);
-	Lck_Unlock(&be->mtx);
+	Lck_Unlock(&backends_mtx);
 
 	// NB. The backend is still usable for the ongoing transactions,
 	// this is why we don't bust the director's magic number.
